printConsole("Loading mode Maxishoot...")

-- Path
package.path = package.path .. ";" .. GetCommonDataPath() .. "/?.lua"

-- Locales
GetConfigManager():InitLocales("locale")

-- Init random seed
--math.randomseed( os.time() )

-- We create a stock screen in order to stock enemies & particles.
stockScreen = CreateScreen("stockScreen")

-- Load const
dofile("scripts/constValues.lua")

-- Load ressources
dofile("scripts/ressourcesLoader.lua")

-- Load ressources
dofile("scripts/dialogScreen.lua")

-- Load ressources
dofile("scripts/eventFunctions.lua")

-- Load particles
dofile("scripts/particles.lua")

-- Load enemies
dofile("scripts/stockEnemies.lua")

-- Gamescreen
dofile("scripts/gameScreen.lua")

-- Menu Screen
dofile("scripts/menu.lua")

-- Store Screen
dofile("scripts/storeScreen.lua")

-- Menu Screen
dofile("scripts/scoreScreen.lua")

-- Gamescreen
dofile("scripts/keysTuto.lua")

-- Play music
gameMusic:Play()
gameMusic:SetLoop(true)

ChangeScreen(keysTutoScreen);
